<!DOCTYPE html>
<html>
  <head>
  <title><%- portal("title") %></title>
  <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
  <meta class="header-color" name="theme-color" content="#257375" />
  <meta class="header-color" name="msapplication-navbutton-color" content="#257375" />
  <meta class="header-color" name="apple-mobile-web-app-status-bar-style" content="#257375" />
  <meta name="viewport" content="width=device-width, initial-scale=1.0, target-densitydpi=medium-dpi" />
  <link rel="stylesheet" href="<%- portal("url") %>/css/bootstrap.css" />
  <link rel="stylesheet" href="<%- portal("url") %>/css/style.css" />
  </head>
  <body>
    <div class="bg-wrapper"></div><div class="bg"></div><div class="bg bg2"></div><div class="bg bg3"></div><div class="bg bg4"></div>
    <div class="main">
      <div class="card banner">
        <div class="body">
          <div id="mainslide" class="carousel slide carousel-fade" data-ride="carousel">
            <div class="carousel-inner" role="listbox">
              <div class="carousel-item active"><img src="<%- portal("url") %>/images/1.jpg" /></div>
              <div class="carousel-item"><img src="<%- portal("url") %>/images/2.jpg" /></div>
              <div class="carousel-item"><img src="<%- portal("url") %>/images/3.jpg" /></div>
              <div class="carousel-item"><img src="<%- portal("url") %>/images/4.jpg" /></div>
              <div class="carousel-item"><img src="<%- portal("url") %>/images/5.jpg" /></div>
            </div>
          </div>
        </div>
      </div>
      <div class="container-fluid mainbody">
        <div class="row">
          <div class="col-6 wifi">
            <div class="info-box-3 bg-grey hover-zoom-effect tv-box-shape">
              <div class="icon"><i class="material-icons">wifi</i></div>
              <div class="content">
                <div class="text"> No Internet </div>
                <div class="number">
                  <div class="switch"><label><input disabled="disabled" type="checkbox" id="connection"/><span class="lever switch-col-white"></span>Wifi</label></div>
                </div>
              </div>
            </div>
          </div>
          <div class="col-6 time">
            <div class="info-box-3 bg-blue hover-zoom-effect tv-box-shape">
                <div class="icon"><i class="material-icons">access_alarm</i></div>
                <div class="content">
                    <div class="text">Your Time</div>
                    <div class="number">00:00:00</div>
                </div>
            </div>
          </div>
          <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
            <ul class="nav nav-tabs tab-nav-right bg-white" role="tablist">
                <li role="presentation"><a href="#coin" data-toggle="tab" aria-expanded="false" class="active show"><img class="icon-w" src="<%- portal("url") %>/images/peso-w.png" /><br/>Insert Coin</a></li>
                <li role="presentation"><a href="#voucher" data-toggle="tab" aria-expanded="true"><img class="icon-w" src="<%- portal("url") %>/images/voucher-w.png" /><br/>Vouchers</a></li>
                <li role="presentation"><a href="#promo" data-toggle="tab" aria-expanded="true"><img class="icon-w" src="<%- portal("url") %>/images/promo-w.png" /><br/>Promos</a></li>
            </ul>
            <div class="tab-content">
              <div role="tabpanel" class="tab-pane fade in active show" id="coin">
                <% if (plugins[`universal-coinslot`] && plugins[`universal-coinslot`].active) { %>
                <div class="info-box-3 hover-zoom-effect coinslot">
                  <div class="icon"><i class="material-icons">file_upload</i></div>
                  <div class="content">
                    <div class="text">Message: <small class="col-white text-priority">Checking Status...</small></div>
                    <div class="number">
                      <button type="button" class="btn btn-block btn-primary btn-lg waves-effect btn-insert-coin" data-backdrop="static" data-keyboard="false" disabled="disabled" data-toggle="modal" data-target="#insertcoin">Insert Coin *</button>
                    </div>
                  </div>
                </div>
                <% } else { %>
                <div class="info-box-3 bg-white col-white">
                  <div class="padding-10">
                     Service not active.
                  </div>
                </div>
                <% } %>
              </div>
              <div role="tabpanel" class="tab-pane fade" id="voucher">
                <% if (plugins[`pisowifi-voucher`] && plugins[`pisowifi-voucher`].active) { %>
                <div class="bg-white col-white">
                  <div class="padding-10">
                    <div class="row clearfix">
                      <div class="col-lg-12 pb-10">
                        <input type="text" class="form-control voucher-code" placeholder="Insert Voucher Code" name="Code">
                      </div>
                      <div class="col-lg-12 pb-10">
                        <button type="button" class="btn btn-primary btn-block btn-lg waves-effect btn-voucher" disabled="disabled">Use Code</button>
                      </div>
                    </div>
                  </div>
                </div>
                <% } else { %>
                <div class="info-box-3 bg-white col-white">
                  <div class="padding-10">
                     Service not active.
                  </div>
                </div>
                <% } %>
              </div>
              <div role="tabpanel" class="tab-pane fade" id="promo">
                <div class="info-box-3 bg-white col-white">
                  <div class="padding-10">
                     No Promo Available today.
                  </div>
                </div>
              </div>
            </div>
        </div>
        <!-- Accordion starts here -->
<div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
  <div id="rates-accordion">
    <button type="button" class="btn btn-info" data-toggle="collapse" data-target="#m3-rates">Check Rates</button>
    <div id="m3-rates" class="collapse">
      <div id="accordion">        
      <% if (plugins[`universal-coinslot`] && plugins[`universal-coinslot`].active) { %>
        <div class="card">
          <div class="card-header" id="headingOne">
            <h5 class="mb-0">
              <button class="btn btn-link" data-toggle="collapse" data-target="#collapseOne" aria-expanded="true" aria-controls="collapseOne">
          Internet Rates
        </button>
            </h5>
          </div>
          <div id="collapseOne" class="collapse show" aria-labelledby="headingOne" data-parent="#accordion">
            <div class="card-body">
              <table id="internet-rates" class="table table-striped table-bordered table-rates">
                <thead class="text-center">
                  <tr>
                    <th class="rts" scope="col">Cost (₱)</th>
                    <th class="rts" scope="col">Time</th>
                  </tr>
                </thead>
                <tbody class="text-center">
                  <!-- rates goes here -->
                </tbody>
              </table>
            </div>
          </div>
        </div>        
        <% } %>
        <!-- Hide Voucher for timebeing.
        <% if (plugins[`pisowifi-voucher`] && plugins[`pisowifi-voucher`].active) { %>
        <div class="card">
          <div class="card-header" id="headingTwo">
            <h5 class="mb-0">
              <button class="btn btn-link collapsed" data-toggle="collapse" data-target="#collapseTwo" aria-expanded="false" aria-controls="collapseTwo">
          Voucher Rates
        </button>
            </h5>
          </div>
          <div id="collapseTwo" class="collapse" aria-labelledby="headingTwo" data-parent="#accordion">
            <div class="card-body">
              <table id="voucher-rates" class="table table-striped table-bordered">
                <thead class="text-center">
                  <tr>
                    <th class="rts" scope="col">Cost (₱)</th>
                    <th class="rts" scope="col">Time</th>
                  </tr>
                </thead>
                <tbody class="text-center">                  
                   --rates goes here--
                </tbody>
              </table>
            </div>
          </div>
        </div>                
        <% } %>
        end hide voucher -->

        <% if (plugins[`pisowifi-charging`] && plugins[`pisowifi-charging`].active) { %>
        <div class="card">
          <div class="card-header" id="headingThree">
            <h5 class="mb-0">
              <button class="btn btn-link collapsed" data-toggle="collapse" data-target="#collapseThree" aria-expanded="false" aria-controls="collapseThree">
          Charging Rates
        </button>
            </h5>
          </div>
          <div id="collapseThree" class="collapse" aria-labelledby="headingThree" data-parent="#accordion">
            <div class="card-body">
              <table id="charging-rates" class="table table-striped table-bordered">
                <thead class="text-center">
                  <tr>
                    <th class="rts" scope="col">Cost (₱)</th>
                    <th class="rts" scope="col">Time</th>
                  </tr>
                </thead>
                <tbody class="text-center">                  
                  <!-- rates goes here -->
                </tbody>
              </table>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>
<% } %>
<!-- Accordion Ends here -->
      </div>   
    </div>   
        <div class="info-box-3 accepted-coins bg-white col-white">
          <div class="accepted-coins-text">
            <h5>Accepted Coins | Old & New coins</h5>
             <span><img src="<%- portal("url") %>/images/1piso-w.png" /></span>
             <span><img src="<%- portal("url") %>/images/5piso-w.png" /></span>
             <span><img src="<%- portal("url") %>/images/10piso-w.png" /></span>
          </div>
        </div>
    </div>
    <div class="modal fade" id="insertcoin" tabindex="-1" role="dialog" aria-labelledby="insertcoin" aria-hidden="true">
      <div class="modal-dialog modal-dialog-centered" role="document">
        <div class="modal-content">
          <div class="modal-body text-center">
            <h3>Insert Coin Now</h3>
            <!-- insert-coin.gif credits to Sandy Dingding
                                 https://web.facebook.com/djsandy91.9 -->
            <img src="<%- portal("url") %>/images/insert-coin.gif" class="insert-coin-gif" />
            <h4 class="wait-timer">Waiting for <span class="seconds-timer"></span></h4>
            <div class="progress insert-coin">
              <div class="progress-bar progress-bar-striped progress-bar-animated" role="progressbar" style="width: 100%"></div>
            </div>
            <ul class="list-group list-group-flush text-left">
              <li class="list-group-item"><strong>Your time:</strong> <strong class="float-right timer">00:00:00</strong></li>
            </ul>
            <div class="coin-result"></div>
            <button type="button" class="btn btn-primary btn-md btn-cancel" data-dismiss="modal">Cancel</button>
          </div>
        </div>
      </div>
    </div>
    <script type="text/javascript" src="<%- portal("url") %>/js/jquery.min.js"></script>
    <script type="text/javascript" src="<%- portal("url") %>/js/bootstrap.min.js"></script>
    <script type="text/javascript" src="<%- portal("url") %>/js/bootstrap-notify.min.js"></script>
    <script src='<%- portal("url") %>/js/howler.min.js'></script>
    <script type="text/javascript">
      var audio = {
        coindrop : {
          mp3: '<%- portal("url") %>/audio/coin.mp3',
          webm: '<%- portal("url") %>/audio/coin.webm',
        },
        addtime : {
          mp3: '<%- portal("url") %>/audio/addtime.mp3',
          webm: '<%- portal("url") %>/audio/addtime.webm',
        }
      }
    </script>
    <script src='<%- portal("pisowifi_js") %>/pisowifi.js'></script>
    <script type="text/javascript" src="<%- portal("url") %>/js/app.js"></script>
  </body>
</html>
